<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<Web>" %>
<div id="sitesettingcontainer">
    <% 
        using (Ajax.BeginAjaxForm("SiteSettings", "Sys", new jQueryAjaxOptions()
        {
            AutoBlocking = true,
            UpdateTargetID = "sitesettingcontainer",
            HttpMethod = "POST",
            OnComplete = !Model.IsRoot ? ("location='" + Url.RouteUrl("dna_mysite", new { website = Profile.UserName, action = "Console", controller = "Account", Area = "" }) + "#'+$('#sitesettingcontainer').parent().attr('id');location.reload(true);") : ""
        }, null))
        { %>
    <%:Html.AntiForgeryToken() %>
    <div id="settingTab">
        <ul>
            <li><a href="#setting_common">
                <%=Html.Global("RES_COMMON")%></a></li>
            <% if (Model.IsRoot)
               { %><li><a href="#accessiblity">
                   <%=Html.Global("RES_ACCESSIBLITY_SETTINGS")%></a></li>
            <li><a href="#smtptag">
                <%=Html.Global("RES_SMTPSETTINGS")%></a></li>
            <li><a href="#googletag">
                <%:Html.Global("SiteSettings_WebMasterTools")%></a></li>
            <%}
               else
               {%>
            <li><a href="#style_layouts">
                <%:Html.Global("SiteSettings_Layouts")%></a></li>
            <%} %>
            <li><a href="#res_protection">
                <%:Html.Global("SiteSettings_ResProtection")%></a></li>
        </ul>
        <div id="setting_common">
            <table cellspacing="0" cellpadding="10px">
                <tr>
                    <td class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="Web_Title">
                                <%=Html.Global("RES_TITLE")%></label></h4>
                        <div>
                            <%=Html.Global("RES_WEBSITE_TITLE_TIPS")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom">
                        <%= Ajax.TextBox("Web.Title", Model.Title, new TextBoxOptions() { Width = 300 })%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb">
                        <h4>
                            <%=Html.Global("RES_LANGUAGE")%></h4>
                        <div>
                            <%=Html.Global("RES_LANGUAGE_OPTION_TIPS")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom">
                        <%=Ajax.DropDown("Web.DefaultLanguage", WebContext.Current.Languages, new DropDownOptions() { Width = 300, SelectedValue = Model.DefaultLanguage })%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb">
                        <h4>
                            <%=Html.Global("RES_TIMEZONE")%></h4>
                        <div>
                            <%=Html.Global("RES_TIMEZONE_TIPS")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom">
                        <%=Ajax.DropDown("Web.TimeZone", WebContext.Current.TimeZones, new DropDownOptions() { Width = 300, SelectedValue = Model.TimeZone })%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="Web_Description">
                                <%=Html.Global("RES_DESC")%></label></h4>
                        <div>
                            <%=Html.Global("RES_WEBSITE_DESC_TIPS")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom">
                        <%= Ajax.TextArea("Web.Description", Model.Description, new { rows=5 })%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="Web_SearchKeywords">
                                <%=Html.Global("RES_KEYWORD")%></label></h4>
                        <div>
                            <%=Html.Global("RES_KEYWORD_TIPS")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom">
                        <%= Ajax.TextArea("Web.SearchKeywords", Model.SearchKeywords, new { rows = 5 })%>
                    </td>
                </tr>
                <% if (Model.IsRoot)
                   { %>
                <tr>
                    <td class="ui-widget-content ui-border-right">
                        <h4>
                            <label for="Web_Copyright">
                                <%=Html.Global("RES_COPYRIGHT")%></label>
                        </h4>
                        <div>
                            <%=Html.Global("RES_COPYRIGHT_TIPS")%>
                        </div>
                    </td>
                    <td>
                        <%= Ajax.TextArea("Web.Copyright", Model.Copyright, new { rows = 5 })%>
                    </td>
                </tr>
                <%} %>
            </table>
        </div>
        <% if (Model.IsRoot)
           { %>
        <div id="accessiblity">
            <table cellspacing="0" cellpadding="10px">
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <%=Html.Global("RES_ENABLEREGISTATION")%></h4>
                    </td>
                    <td valign="middle" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.CheckBox("Web.EnableUserRegistration", Html.Global("RES_ENABLEREGISTATION"), Model.EnableUserRegistration)%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <%=Html.Global("RES_DEFAULT_URL")%></h4>
                        <div>
                            <%:Html.Global("SiteSettings_SetDefaultUrl_Tips")%></div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom">
                        <%=Ajax.TextBox("Web.DefaultUrl", Model.DefaultUrl)%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb">
                        <h4>
                            <%:Html.Global("SiteSettings_CacheDuration")%></h4>
                        <div>
                            <%:Html.Global("SiteSettings_CacheDuration_Tips")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom">
                        <div style="text-align: center;">
                            <span id="cacheDurationLabel">
                                <%:Model.CacheDuration%></span><span>(s)</span></div>
                        <%:Ajax.Slider("Web.CacheDuration", new SliderOptions()
{
    EnabledAnimate = true,
    Maximum = 3600,
    Minimum = 0,
    Step = 60,
    Value = Model.CacheDuration,
    FillTextTo = "cacheDurationLabel"
})%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <%=Html.Global("RES_ALLOWEXTENSIONS")%></h4>
                    </td>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <%=Ajax.TextArea("Web.AllowExtensions", Model.AllowExtensions, new { rows = 10 })%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <%=Html.Global("RES_MAXFILESIZE")%>
                    </td>
                    <td valign="top" class="ui-widget-content ui-border-bottom">
                        <table>
                            <tr>
                                <td>
                                    <%=Ajax.Number("Web.MaximumFileSize", Model.MaximumFileSize)%>
                                </td>
                                <td>
                                    (MB)
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
        <div id="smtptag">
            <table cellspacing="0" cellpadding="10px">
                <tr>
                    <td colspan="2" class="ui-widget-content ui-border-bottom">
                        <div class="ui-widget" style="margin: 5px;">
                            <div class="ui-state-highlight ui-corner-all" style="margin-top: 20px; padding: 0 .7em;">
                                <p>
                                    <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                                    <%:MvcHtmlString.Create(Html.Global("SiteSettings_SMTP_NOTES"))%></p>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="Web_SMTPHost">
                                <%=Html.Global("RES_SMTPSERVER")%></label></h4>
                        <div>
                            <%:Html.Global("SiteSettings_SMTP_SRV_Tips")%>
                        </div>
                    </td>
                    <td valign="middle" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.TextBox("Web.SMTPHost", Model.SMTPHost)%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="Web_SMTPPost">
                                <%=Html.Global("RES_SMTP_PORT")%></label></h4>
                        <div>
                            <%:Html.Global("SiteSettings_SMTP_PORT_Tips")%>
                        </div>
                    </td>
                    <td valign="middle" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.Number("Web.SMTPPort", Model.SMTPPort == 0 ? 25 : Model.SMTPPort)%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="Web_SiteMailAccount">
                                <%=Html.Global("RES_ADMINEMAIL")%>
                            </label>
                        </h4>
                        <div>
                            <%:Html.Global("SiteSettings_SMTP_AdminEmail_Tips")%>
                        </div>
                    </td>
                    <td valign="middle" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.TextBox("Web.SiteMailAccount", Model.SiteMailAccount)%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.CheckBox("Web.SMTPUsedDefaultCredentials", Html.Global("RES_USEDDEFAULTCREDENTIALS"), Model.SMTPUsedDefaultCredentials)%>
                    </td>
                    <td valign="top" class="ui-widget-content ui-border-bottom">
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="Web_SMTPUserName">
                                <%=Html.Global("RES_SMTP_USERNAME")%></label></h4>
                        <div>
                            <%:Html.Global("SiteSettings_SMTP_UserName_Tips")%></div>
                    </td>
                    <td valign="middle" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.TextBox("Web.SMTPUserName", Model.SMTPUserName)%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-right">
                        <h4>
                            <label for="Web_SMTPPassword">
                                <%=Html.Global("RES_SMTP_PASSWORD")%></label></h4>
                        <div>
                            <%:Html.Global("SiteSettings_SMTP_PWD_Tips") %></div>
                    </td>
                    <td valign="middle">
                        <%=Ajax.Password("Web.SMTPPassword", Model.SMTPPassword)%>
                    </td>
                </tr>
            </table>
        </div>
        <div id="googletag">
            <table cellspacing="0" cellpadding="10px">
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="MasterTools_GAAccount">
                                <%=Html.Global("RES_GAACCOUNT")%></label></h4>
                        <div>
                            <%:MvcHtmlString.Create(Html.Global("SiteSettings_GA_Tips"))%>
                        </div>
                    </td>
                    <td valign="middle" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.TextBox("MasterTools.GAAccount", Model.MasterTools.GAAccount)%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <%:Html.Global("SiteSettings_GSiteMap")%></h4>
                        <div>
                            <%:Html.Global("SiteSettings_GSiteMap_Tips")%>
                        </div>
                    </td>
                    <td valign="middle" class="ui-widget-content ui-border-bottom">
                        <span>
                            <%:WebSite.ApplicationPath+"/google-sitemap" %></span>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-rb">
                        <h4>
                            <label for="MasterTools_AddThisCode">
                                <%:Html.Global("SiteSettings_AddThisCode")%>
                            </label>
                        </h4>
                        <div>
                            <%:MvcHtmlString.Create(Html.Global("SiteSettings_AddThisCode_Tips"))%></div>
                    </td>
                    <td valign="top" class="ui-widget-content ui-border-bottom">
                        <%=Ajax.TextArea("MasterTools.AddThisCode", Model.MasterTools.AddThisCode, new { rows = 10 })%>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="ui-widget-content ui-border-right">
                        <h4>
                            <label for="Web_AddThisCode">
                                <%:Html.Global("SiteSettings_WebMaster_VerTools")%>
                            </label>
                        </h4>
                        <div>
                            <%:Html.Global("SiteSettings_Verify_Tips")%>
                            <a href="https://www.google.com/webmasters/tools/" target="_blank">
                                <%:Html.Global("SiteSettings_GoogleWebmasterTools")%></a>, <a href="https://siteexplorer.search.yahoo.com/"
                                    target="_blank">
                                    <%:Html.Global("SiteSettings_YahooSiteExplorer")%></a>, <a href="http://www.bing.com/webmaster"
                                        target="_blank">
                                        <%:Html.Global("SiteSettings_BingWebmaster")%></a></div>
                    </td>
                    <td>
                        <div style="margin-bottom: 10px;">
                            <div>
                                <label for="MasterTools_GoogleWebMasterTools">
                                    <%:Html.Global("SiteSettings_GoogleWebmasterTools")%></label></div>
                            <div>
                                <%:Ajax.TextBox("MasterTools.GoogleWebMasterTools", Model.MasterTools.GoogleWebMasterTools)%></div>
                            <div>
                                <%:Html.Global("SiteSettings_Example")%>: &lt;meta name='google-site-verification'
                                content=<u>'dBw5CvburAxi537Rp9qi5uG2174Vb6JwHwIRwPSLIK8'</u>&gt</div>
                        </div>
                        <div style="margin-bottom: 10px;">
                            <div>
                                <label for="MasterTools_YahooSiteExplorer">
                                    <%:Html.Global("SiteSettings_YahooSiteExplorer")%></label></div>
                            <div>
                                <%:Ajax.TextBox("MasterTools.YahooSiteExplorer", Model.MasterTools.YahooSiteExplorer)%></div>
                            <div>
                                <%:Html.Global("SiteSettings_Example")%>: &lt;meta name='y_key' content=<u>'3236dee82aabe064'</u>&gt</div>
                        </div>
                        <div style="margin-bottom: 10px;">
                            <div>
                                <label for="MasterTools_BingWebMasterCenter">
                                    <%:Html.Global("SiteSettings_BingWebmaster")%></label></div>
                            <div>
                                <%:Ajax.TextBox("MasterTools.BingWebMasterCenter", Model.MasterTools.BingWebMasterCenter)%></div>
                            <div>
                                <%:Html.Global("SiteSettings_Example")%>: &lt;meta name='msvalidate.01' content=<u>'12C1203B5086AECE94EB3A3D9830B2E'</u>&gt</div>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <%}
           else
           {%>
        <div id="style_layouts">
            <table cellspacing="0" cellpadding="10px">
                <tr>
                    <td class="ui-widget-content ui-border-rb" style="background: none;">
                        <h4>
                            <%:Html.Global("RES_THEME")%></h4>
                        <div>
                            <%:Html.Global("SiteSettings_Themes_Tips")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom" style="background: none;">
                        <%:Ajax.ThemeDropDown("Web.Theme", new DropDownOptions() { Width = 200, SelectedValue = !string.IsNullOrEmpty(Model.Theme) ? Model.Theme : null })%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb" style="background: none;">
                        <h4>
                            <label for="WebSite_LogoImageUrl">
                                <%=Html.Global("RES_LOGO")%></label></h4>
                        <div>
                            <%=Html.Global("RES_WEBSITE_LOGO_TIPS")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom" style="background: none;">
                        <%=Ajax.TextBox("Web.LogoImageUrl", Model.LogoImageUrl, new TextBoxOptions() { Width = 300, IconCssClass = "ui-icon ui-icon-extlink", })
                        %>
                        <%:Ajax.FileButton("Web_LogoImageUrl", Model.GetWebRootUri(), new ButtonOptions() { Text = Html.Global("RES_BROWSE"), Icons = new ButtonOptions.ButtonIcons() { PrimaryIconCssClass = "ui-icon ui-icon-folder-open" } }, new { style = "float:right;" })%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb" style="background: none;">
                        <h4>
                            <label for="WebSite_ShortcutIconUrl">
                                <%=Html.Global("RES_SHORTCUTICON")%></label></h4>
                        <div>
                            <%=Html.Global("RES_SHOTCUTICON_TIPS")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom" style="background: none;">
                        <%=Ajax.TextBox("Web.ShortcutIconUrl", Model.ShortcutIconUrl, new TextBoxOptions() { Width = 300, IconCssClass = "ui-icon ui-icon-extlink", })
                        %>
                        <%:Ajax.FileButton("Web_ShortcutIconUrl", Model.GetWebRootUri(), new ButtonOptions() { Text = Html.Global("RES_BROWSE"), Icons = new ButtonOptions.ButtonIcons() { PrimaryIconCssClass = "ui-icon ui-icon-folder-open" } }, new { style = "float:right;" })%>
                    </td>
                </tr>
            </table>
        </div>
        <%} %>
        <div id="res_protection">
            <table cellspacing="0" cellpadding="10px">
                <tr>
                    <td class="ui-widget-content ui-border-rb" style="background: none;">
                        <h4>
                            <%:Html.Global("SiteSettings_EnablePreventLink")%></h4>
                        <div>
                            <%:Html.Global("SiteSettings_PreventLink_Tips")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom" style="background: none;">
                        <%:Ajax.CheckBox("MasterTools.PreventUntrustLinks",Html.Global("RES_ENABLED"), Model.MasterTools.PreventUntrustLinks)%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb" style="background: none;">
                        <h4>
                            <label for="MasterTools_TrustDomains">
                                <%:Html.Global("SiteSettings_TrustedDomains")%></label>
                        </h4>
                        <div>
                            <%:MvcHtmlString.Create(Html.Global("SiteSettings_TrustedDomains_Tips"))%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom" style="background: none;">
                        <%:Ajax.TextArea("MasterTools.TrustDomains", Model.MasterTools.TrustDomains, new { rows = 10,cols=20 })%>
                    </td>
                </tr>
                <tr>
                    <td class="ui-widget-content ui-border-rb" style="background: none;">
                        <h4>
                            <label for="MasterTools_UrlForUntrustLink">
                                <%:Html.Global("SiteSettings_UrlForUntrustedDomains")%></label>
                        </h4>
                        <div>
                            <%:Html.Global("SiteSettings_UrlForUntrustedDomains_Tips")%>
                        </div>
                    </td>
                    <td class="ui-widget-content ui-border-bottom" style="background: none;">
                        <%:Ajax.TextBox("MasterTools.UrlForUntrustLink", Model.MasterTools.UrlForUntrustLink)%>
                        <%:Ajax.FileButton("MasterTools_UrlForUntrustLink", Model.GetWebRootUri(), new ButtonOptions() { Text = Html.Global("RES_BROWSE"), Icons = new ButtonOptions.ButtonIcons() { PrimaryIconCssClass = "ui-icon ui-icon-folder-open" } }, new { style = "float:right;" })%>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <div style="text-align: center; margin-top: 10px;">
        <%=Ajax.Submit(Html.Global("RES_SAVE"), "ui-icon ui-icon-disk")%>
    </div>
    <%} %>
</div>
<% Ajax.RegisterStartupScript("$('#sitesettingcontainer').find('td').css('background','none');"); %>
<% Ajax.jQuery("#settingTab", "tags"); %>
<%=Html.StartupScripts() %>