<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<WidgetDescriptor>" %>
<% var pkg = Model.GetPackage();%>
<table>
    <tr>
        <td align="center">
            <img src="<%=string.IsNullOrEmpty(Model.ImageUrl) ? Url.Content("~/Content/Images/Widgets/app.gif"):Url.Content(Model.ImageUrl) %>"
                alt="" />
        </td>
        <td valign="middle">
            <b>
                <%=Model.Title %></b>
        </td>
    </tr>
    <% if (!string.IsNullOrEmpty(Model.Description))
       {%>
    <tr>
        <td colspan="2">
            <%=Model.Description%>
        </td>
    </tr>
    <%} %>
    <tr>
        <td>
            <%:Html.Global("RES_VERSION")%>:
        </td>
        <td>
            <%=string.IsNullOrEmpty(Model.Version)? pkg.Version:( string.IsNullOrEmpty(Model.Version)?"v1.0":Model.Version) %>
        </td>
    </tr>
    <tr>
        <td valign="top">
            Licenses:
        </td>
        <td valign="top">
            <table>
                <% var lics = pkg.GetLicenses();
                   foreach (var lic in lics)
                   {
                %>
                <tr>
                    <td align="right" style="white-space:nowrap">
                        <u><b>
                            <%=lic.Name %>:</b> </u>
                    </td>
                    <td style="white-space:nowrap">
                        <a href="<%=lic.Url %>">
                            <%=lic.Title %></a>
                    </td>
                </tr>
                <%} %>
            </table>
        </td>
    </tr>
    <% if (!string.IsNullOrEmpty(pkg.AuthorName))
       { %>
    <tr>
        <td>
         <%:Html.Global("RES_AUTHOR")%>
        </td>
        <td>
            <a href="<%=pkg.AuthorWebSite%>" target="_blank">
                <%=pkg.AuthorName%></a>
        </td>
    </tr>
    <%}
       else
       { %>
    <tr>
        <td colspan="2">
            <div class="dna-state-error">
            <%:Html.Global("Widget_Info_Warning")%></div>
        </td>
    </tr>
    <%} %>
    <% if (!string.IsNullOrEmpty(pkg.Organization))
       { %>
    <tr>
        <td>
         <%:Html.Global("RES_ORGANIZATION")%>:
        </td>
        <td>
            <%=pkg.Organization%>
        </td>
    </tr>
    <%} %>
    <% if (!string.IsNullOrEmpty(pkg.AuthorEmail))
       { %>
    <tr>
        <td>
           <%:Html.Global("RES_EMAIL")%>
        </td>
        <td>
            <a href="mailto:<%=pkg.AuthorEmail %>" target="_blank">
                <%=pkg.AuthorEmail %></a>
        </td>
    </tr>
    <%} %>
    <% if (!string.IsNullOrEmpty(pkg.AuthorWebSite))
       { %>
    <tr>
        <td>
            <%:Html.Global("RES_WEBSITE")%>
        </td>
        <td>
            <a href="<%=pkg.AuthorWebSite %>" target="_blank">
                <%=pkg.AuthorWebSite %></a>
        </td>
    </tr>
    <%} %>
    <% 
        var _helpLinks = pkg.GetHelpLinks();

        foreach (var key in _helpLinks.Keys)
        { %>
    <tr>
        <td>
            <%=key %>
        </td>
        <td>
            <a href="<%=_helpLinks[key]  %>">
                <%=_helpLinks[key] %></a>
        </td>
    </tr>
    <%} %>
    <tr>
        <td>
             <%:Html.Global("RES_LASTUPDATED")%>
        </td>
        <td>
            <%=pkg.Published%>
        </td>
    </tr>
</table>
